/* Copyright (C) 2009-2012 Centro de Computacao Cientifica e Software Livre
 * Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
 *
 * This file is part of client
 *
 * client is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
 * USA.
 */

#ifndef _CLIENT_H_
#define _CLIENT_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <getopt.h>
#include "soapH.h"
#include "Seed2SoapBinding.nsmap"

/* Definitions */
#define VERSIONFILE "conf/version"
#ifdef _WIN32
    #define EXEFILE "bin/client.exe"
    #define XMLFILENAME "data/collect-data.xml"
    #define NETXMLFILENAME "data/network-data.xml"
    #define OS 1
#else
    #define EXEFILE "bin/client"
    #define XMLFILENAME "../data/inventory-data.xml"
    #define NETXMLFILENAME "../data/network-data.xml"
    #define OS 0
#endif
#define UPDATEOPTION "update"
#define INVENTORYOPTION "inventory"
#define NETUSAGEOPTION "net-usage"
/* Network interface bind error */
#define NIC_ERROR 50
/* 5 minutes before timeout */
#define TIMEOUT 300
/* Print ERROR messages */
#define ERROR(fmt, args...) ( fprintf(stderr, fmt, ##args), \
                              fflush(stderr) )
/* Print DEBUG messages, if DEBUGFLAG is "true" */
#ifdef DEBUGFLAG
    #define DEBUG(fmt, args...) ( printf("DEBUG: "fmt"", ##args), \
                                  fflush(stdout) )
#else
    #define DEBUG(fmt, args...)
#endif

/* Functions */
void print_help(void);
int verify_parameters(int, char **, struct soap *, char **, char **);
static char *read_version_file(char *);
void print_update_link(struct soap *, char *);
void check_version(struct soap *, char *, char *);
char *read_xml_file(char *);
void inventory(struct soap *, char *, char *);
void net_usage(struct soap *, char *, char *);

#endif
