#!/usr/bin/env python

import re,sys,socket,threading,os
from time import sleep,asctime,time

curdir = os.path.dirname(os.path.abspath(sys.argv[0]))
CONFFILE = curdir + "/remotelog.conf"
LOGFILE = curdir + "/remotelog.log"

LOGERROR=0
LOGWARNING=1
LOGCONTROL=2
LOGMESSAGE=3
LOGDEBUG=4

def readConf():
    """ Le arquivo de configuracao mcast.conf e retorna dicionario
        {opcao:valor} """

    res = {}
    for line in open(CONFFILE):
        if not re.match("^(#|$)",line):
            opt,value = [ i.strip() for i in line.split("=") ]
            res[opt] = value

    return res

class Log(object):
    """ Salva mensagens no arquivo de log LOGFILE, respeitando o verboso
    desejado escrito em CONFFILE """
    def __init__(self,logFile=LOGFILE):
        self.__conf = readConf()
        self.__file = open(logFile,"a")
        self.verbose = int(self.__conf["verbose"])

    def log(self, msg, verbose=LOGERROR):
        """ Escreve mensagem de log no arquivo se verbose for <= ao verbose
        definido no arquivo de configuracao """
        if int(verbose) <= self.verbose:
            timestamp = asctime()[4:]
            msg = "%s: %s" % (timestamp,msg)
            self.__write(msg)
            if self.verbose == 10:
                print msg

    def __flush(self):
        self.__file.flush()

    def __write(self,msg):
        print "escrevendo", msg
        self.__file.write(msg+"\n")
        self.__file.flush()

