#!/usr/bin/env python
# -*- coding: utf-8 -*-

from tcp import TCPClient
from misc import readConf
import sys

class RemoteLogClient(TCPClient):
    def __init__(self, inep, logList):

        self.__conf = readConf()
        self.__logList = logList
        self.__inep = inep
        self.__remotePort = int(self.__conf["remoteport"])
        self.__remoteHost = self.__conf["remotehost"]

        TCPClient.__init__(self, self.__remoteHost, self.__remotePort)

        self.__quit = False

    def run(self):
        inep = self.getInep()
        for log in self.__logList:
            for data in open(log):
                msg = "%s: %s" % (inep,data)
                self.send(msg)

    def getInep(self):
        return self.__inep

def usage():
    print sys.argv[0],": <inep> <arq. de log 1> [arq. de log 2] ..."

if __name__ == "__main__":

    if len(sys.argv) == 1:
        usage()
        sys.exit(0)

    rls = RemoteLogClient(sys.argv[1], sys.argv[2:])
    try:
        rls.run()
    except:
        raise

    rls.close()
    sys.exit(0)
