#!/usr/bin/env python

from socket import *

TCP_CLIENT_TIMEOUT = None
BUFF_SIZE = 1024

class TCPParams(object):

    def __init__(self,host,port):
        self.__socket = socket(AF_INET, SOCK_STREAM)
        self.__host = host
        self.__port = int(port)
        self.__addr = (self.getHost(),self.getPort())

        self.__buffer = ""

    def send(self, data):
        self.getSocket().send(str(data))

    def read(self):
        return self.getSocket().recvfrom(1024)

    def getSocket(self):
        return self.__socket

    def getPort(self):
        return self.__port

    def getHost(self):
        return self.__host

    def getAddr(self):
        return self.__addr

    def close(self):
        self.getSocket().close()

class TCPServer(TCPParams):

    def __init__(self,host,port,timeout=TCP_CLIENT_TIMEOUT):
        TCPParams.__init__(self,host,port)
        if timeout:
            self.getSocket().settimeout(timeout)
        self.__connect()

    def __connect(self):
        self.getSocket().bind(self.getAddr())
        self.getSocket().listen(5)

    def accept(self):
        return self.getSocket().accept()

class TCPClient(TCPParams):
    def __init__(self, host, port):
        TCPParams.__init__(self, host, port)
        self.__connect()

    def __connect(self):
        self.getSocket().connect(self.getAddr())
