#!/bin/bash

# Copyright (C) 2009-2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of collect-agent
#
# collect-agent is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

# This script will install/update tincuca-server on Metasys Servers
# of the RUCA project

LOGDIR=${HOME}/SEED2/log
LOGFILE=${LOGDIR}/tincucaclient-install.log
TINCUCALOG=/var/log/tincucaclient.log
TESTINEPSFILE=${HOME}/SEED2/extra/testineps.txt
REMOTELOGCLIENT=${HOME}/SEED2/extra/remotelog/remotelog_client.py

# Check if I am a Metasys Server
if ! grep -q "Metasys School Server" /etc/issue ; then
    exit 0
fi

# Check if I am a test server
INEP=$(mysql -u root -D -s -N MetasysMonit -e "select INEP from INEP")
if test -z "${INEP}" || ! grep -q "${INEP}" ${TESTINEPSFILE} ; then
    exit 0
fi

${REMOTELOGCLIENT} "${INEP}" "${LOGFILE}" "${TINCUCALOG}"

exit 0
