/* OLTP operational database tables */
CREATE TABLE proinfo_inventory (
    contact_date      DATE DEFAULT CURRENT_DATE NOT NULL,
    project           INTEGER DEFAULT 0 NOT NULL,
    inep              CHARACTER VARYING(18) NOT NULL,
    macaddr           CHARACTER VARYING(18) NOT NULL,
    os_type           TEXT,
    os_distro         TEXT,
    os_kernel         TEXT,
    processor         TEXT,
    memory            INTEGER,
    disk1_model       TEXT,
    disk1_size        INTEGER,
    disk1_used        INTEGER,
    disk2_model       TEXT,
    disk2_size        INTEGER,
    disk2_used        INTEGER,
    extra_hds         SMALLINT DEFAULT 0 NOT NULL,
    mirror_timestamp  TIMESTAMP,
    agent_version	    CHARACTER VARYING(20) NOT NULL DEFAULT '0.0.0'
);

CREATE TABLE proinfo_net_usage (
    contact_date    DATE DEFAULT CURRENT_DATE NOT NULL,
    inep            CHARACTER VARYING(18) NOT NULL,
    macaddr         CHARACTER VARYING(18) NOT NULL,
    collect_time    TIME WITHOUT TIME ZONE,
    down_kbits      BIGINT,
    down_packages   INTEGER,
    up_kbits        BIGINT,
    up_packages     INTEGER
);

CREATE TABLE rejected_inventory (
    id                INTEGER,
    sch_id            INTEGER,
    cit_id            INTEGER,
    contact_date      DATE NOT NULL,
    project           INTEGER,
    inep              CHARACTER VARYING(18) NOT NULL,
    macaddr           TEXT NOT NULL,
    os_type           TEXT,
    os_distro         TEXT,
    os_kernel         TEXT,
    processor         TEXT,
    memory            INTEGER,
    disk1_model       TEXT,
    disk1_size        INTEGER,
    disk1_used        INTEGER,
    disk2_model       TEXT,
    disk2_size        INTEGER,
    disk2_used     	  INTEGER,
    extra_hds         SMALLINT,
    mirror_timestamp  TIMESTAMP,
    agent_version	    CHARACTER VARYING(20)
);

CREATE TABLE rejected_net_usage (
    sch_id          INTEGER,
    cit_id          INTEGER,
    contact_date    DATE DEFAULT CURRENT_DATE NOT NULL,
    inep            CHARACTER VARYING(18) NOT NULL,
    macaddr         CHARACTER VARYING(18) NOT NULL,
    collect_time    TIME WITHOUT TIME ZONE,
    down_kbits      BIGINT,
    down_packages   INTEGER,
    up_kbits        BIGINT,
    up_packages     INTEGER
);
