-- fact tables
CREATE TABLE fact_contact (
    id              	SERIAL PRIMARY KEY,
    sch_id          	INTEGER NOT NULL REFERENCES dim_school,
    cit_id          	INTEGER NOT NULL REFERENCES dim_city,
    dat_id          	DATE NOT NULL REFERENCES dim_date,
    macaddr         	MACADDR NOT NULL,
    project         	project_enum DEFAULT 'proinfo' NOT NULL,
    mirror_timestamp	TIMESTAMP,
    agent_version	CHARACTER VARYING(20) NOT NULL,
    UNIQUE (sch_id, cit_id, dat_id, macaddr)
);

CREATE TABLE fact_net_usage (
    id              SERIAL PRIMARY KEY,
    sch_id          INTEGER NOT NULL REFERENCES dim_school,
    cit_id          INTEGER NOT NULL REFERENCES dim_city,
    dat_id          DATE NOT NULL REFERENCES dim_date,
    macaddr         MACADDR NOT NULL,

    collect_time    TIME WITHOUT TIME ZONE NOT NULL,
    down_kbits      BIGINT NOT NULL DEFAULT 0,
    down_packages   INTEGER NOT NULL DEFAULT 0,
    up_kbits        BIGINT NOT NULL DEFAULT 0,
    up_packages     INTEGER NOT NULL DEFAULT 0
);
