#!/usr/bin/python
# -*- coding: utf-8 -*-

import psycopg2
import sys

dbName = "proinfodata"
tablespace_table_dw = "dw_table_ts"
tablespace_index_dw = "dw_index_ts"

try:

	con = psycopg2.connect(user = 'postgres', database = dbName, port = '5432')
	db = con.cursor()

	db.execute( "alter table %s.%s set tablespace %s" % ( 'public', 'aggr_availability', 'aggr_table_ts' ) )
	db.execute("select * from pg_indexes where schemaname = '%s' and tablename = '%s' order by indexname" % ( 'public', 'aggr_availability'))
	rows = db.fetchall()
	for index in rows:
		db.execute( "alter index %s.%s set tablespace %s" % ( 'public', index[2], 'aggr_index_ts' ) )

	db.execute("alter table %s.%s set tablespace %s" % ('public', 'proinfo_inventory', 'sa_ts'))
	db.execute( "select * from pg_indexes where schemaname = '%s' and tablename = '%s' order by indexname" % ( 'public', 'proinfo_inventory'))
	rows = db.fetchall()
	for index in rows:
		db.execute( "alter index %s.%s set tablespace %s" % ( 'public', index[2], 'sa_ts' ) )

	db.execute( "alter table %s.%s set tablespace %s" % ( 'public', 'proinfo_net_usage', 'sa_ts' ) )
	db.execute( "select * from pg_indexes where schemaname = '%s' and tablename = '%s' order by indexname" % ( 'public', 'proinfo_net_usage'))
	rows = db.fetchall()
	for index in rows:
		db.execute( "alter index %s.%s set tablespace %s" % ( 'public', index[2], 'sa_ts' ) )

	db.execute("select * from pg_tables where tablename != 'aggr_availability' and tablename != 'proinfo_inventory' and tablename != 'proinfo_net_usage' order by tablename")
	rows_tables = db.fetchall()
	for table in rows_tables:
		schemaName = table[0]
		if schemaName == "public":
			tableName = table[1]
			db.execute( "alter table %s.%s set tablespace %s" % ( schemaName, tableName, tablespace_table_dw ) )
			db.execute( "select * from pg_indexes where schemaname = '%s' and tablename = '%s' order by indexname" % ( schemaName, tableName ))
			rows_indexes = db.fetchall()
			for index in rows_indexes:
				db.execute( "alter index %s.%s set tablespace %s" % ( schemaName, index[2], tablespace_index_dw ) )

	con.commit()

except psycopg2.DatabaseError, e:
	if con:
		con.rollback()

	print 'Error %s' % e
	sys.exit(1)

finally:
	if con:
		con.close()
