CREATE OR REPLACE FUNCTION simplify_memory(integer) RETURNS text AS $$
SELECT CASE
    WHEN $1 < 1024 THEN $1 || ' KiB'
    WHEN $1 < 1048576 THEN ROUND($1 / 1024.0, 2) || ' MiB'
    WHEN $1 < 1073741824 THEN ROUND($1 / 1048576.0, 2) || ' GiB'
    ELSE ROUND($1 / 1073741824.0, 2) || ' TiB'
END;
$$ LANGUAGE SQL;

CREATE OR REPLACE FUNCTION simplify_hd(integer) RETURNS text AS $$
SELECT CASE
    WHEN $1 < 1000 THEN $1 || ' GB'
    ELSE round($1 / 1000.0, 2) || ' TB'
END;
$$ LANGUAGE SQL;
