#!/bin/bash
#
# This script is used to set the user id, the password and the database
# connection URL

FILES="biserver-ce/pentaho-solutions/seed2/pro*/*/*.xaction
biserver-ce/pentaho-solutions/seed2/uca*/*/*.xaction
biserver-ce/pentaho-solutions/seed2/others/*.xaction"

if test $# -ne 3; then
    printf "Wrong number of parameters. Usage:\n%b" \
           "config-files.sh \"USER_ID\" \"PASSWORD\" \"CONNECTION_URL\"\n"
    exit 1
fi

if ! sed -e "s_<user-id>.*</user-id>_<user-id><![CDATA[$1]]></user-id>_g" \
         -e "s_<password>.*</password>_<password><![CDATA[$2]]></password>_g" \
         -e "s_<connection>.*</connection>_<connection><![CDATA[jdbc:postgresql://$3]]></connection>_g" \
         -i $FILES; then
    printf "\nERROR! Make sure you escaped all underscores, %b" \
           "or try using quotation marks.\n"
fi

printf "Configured files. Don't forget to manually configure the files %b" \
       "under \"biserver-ce/tomcat\" and \"report-designer\" directories!\n"
