#!/usr/bin/env python

# Copyright (C) 2009-2012 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR

# This file is part of server

# collect-agent is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

from SOAPpy import WSDL
import SOAPpy

# This script tests the methods offered by the webservice running at 'url'.
# Commented tests generate an error in Python due wrong arguments numbers
# or wrong variables types. This IS the excpected behavior.

url = 'http://colombard.c3sl.ufpr.br/tomcat/axis/Seed2.jws'

# just use the path to the wsdl of your choice
wsdlObject = WSDL.Proxy(url + '?wsdl')

# print avaiable methodos
print 'Available methods:'
for method in wsdlObject.methods.keys() :
    print method
    ci = wsdlObject.methods[method]
    # you can also use ci.inparams
    for param in ci.inparams :
        # list of the function and type
        # depending of the wsdl...
        print param.name.ljust(20) , param.type
    print

print('==========')
for method in wsdlObject.methods.keys() :
    print method
    ci = wsdlObject.methods[method]
    # you can also use ci.inparams
    for param in ci.outparams :
        # list of the function and type
        # depending of the wsdl...
        print param.name.ljust(20) , param.type
    print

proxy = SOAPpy.SOAPProxy(url)

print('==========')
print('url: ' + url)
print('==========')
print('1 - setAvailability method')
print('1.1: ' + proxy.setAvailability('12017000','brd-ws'))
#print('1.2: ' + proxy.setAvailability('12017000',32032))
#print('1.3: ' + proxy.setAvailability(43242,423423,432))
print('1.4: ' + proxy.setAvailability('',''))
print('1.5: ' + proxy.setAvailability())

print('==========')
print('2 - verifyId method')
print('2.0: ')
print(proxy.verifyId('12017000'))
print('2.1: ')
print(proxy.verifyId('53019806'))
print('2.1a: ')
print(proxy.verifyId('12017000'))
print('2.2: ')
print(proxy.verifyId('12312123'))
print('2.3: ')
print(proxy.verifyId(''))
#print('2.4: ')
#print(proxy.verifyId(00))
print('2.5: ')
print(proxy.verifyId())

print('==========')
print('3 - getAgentVersion method')
print('3.1: ' + proxy.getAgentVersion())
#print('3.2: ' + proxy.getAgentVersion('aa'))
#print('3.3: ' + proxy.getAgentVersion(333))


print('==========')
print('4 - setInventory method')
# xml test
print('4.01: ' + proxy.setInventory('<xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk type=\"tree\"><hdd\
quantty=\"2\"><hdd0><model value=\"Maxtor_6E040L0_E16EP1VN\"\
 type=\"string\"/><size value=\"41\" type=\"int\"/><used\
 value=\"28\" type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid \"/></os></inventory><mac-address><number\
 type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

# quantity test
print('4.02: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantty=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# disk-related tests
print('4.03: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model value=\"my\
 disuco\" type=\"string\"/><size value=\"322\"\
 type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model value=\"389\"\
 type=\"string\"/><size value=\"41\" type=\"int\"/><used\
 value=\"98\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\" CREATE TABLE lol\'\
 \"/></processor><memory><size type=\"int\"\
 value=\"123123\"/></memory><os><type type=\"string\"\
 value=\"\"/><kernel type=\"string\" value=\"\"/><distro\
 type=\"string\"\
 value=\"\"/></os></inventory><mac-address><number\
 type=\"string\" value=\"\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"\"/></inep></collect>'))

print('4.04: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"3\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1><hdd2><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd2></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('4.05: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"1\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.06: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# collect tag test
print('4.07: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><cllect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></cllect>'))

# inventory tag test
print('4.08: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventoy><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventoy><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# mac-address tag test
print('4.09: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-adress><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-adress><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# use tag test
print('4.10: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><se><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></se><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

# inep tag test
print('4.11: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><ine><number type=\"int\"\
 value=\"12345678\"/></ine></collect>'))

# os tag test
print('4.12: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os2><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os2></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# processor tag test
print('4.13: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processo3r><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processo3r><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# disk tag test
print('4.14: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk2\
 type=\"tree\"><hdd quantity=\"0\"/></disk2><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# memory tag test
print('4.15: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memorya><size type=\"int\"\
 value=\"520966144\"/></memorya><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# TX and RX tags tests
print('4.16: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><R\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.17: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><T type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# inep's children related tests
print('4.18: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" /></inep></collect>'))

print('4.19: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" vealue=\"12345678\"/></inep></collect>'))

print('4.20: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><numbe3r\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.21: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('4.22: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"0\"/></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep></inep></collect>'))

# mac-address's children related tests
print('4.23: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.24: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.25: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><numb3er type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.26: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
val3ue=\"de\"/></mac-address><use><network><RX type=\"int\"\
 value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# use's children related tests
print('4.27: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network></network></use>\
<inep><number type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.28: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.29: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/><aa /></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.30: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><R\
 type=\"int\" value=\"13363934\"/><T type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.31: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><RX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.32: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><TX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.33: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('4.34: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" va3ue=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.35: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
va3ue=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.36: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

# processor's children related tests
print('4.37: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor></processor><memory><size\
 type=\"int\" value=\"520966144\"/></memory><os><type\
 type=\"string\" value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('4.38: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" /></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.39: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" v2alue=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.40: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP 1800+\"/><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.41: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><modele\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.42: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><processor><model type=\"string\"\
 value=\"AMD Athlon(TM) XP 1800+\"/></processor><memory><size\
 type=\"int\" value=\"520966144\"/></memory><os><type\
 type=\"string\" value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# os' children related tests
print('4.43: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid \"/><distro type=\"string\"\
 value=\"Debian GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.44: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid \"/><distro type=\"string\"\
 value=\"Debian GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.45: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distr type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.46: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\"\
/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.47: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kerne type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.48: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"/><distro\
 type=\"string\" value=\"Debian GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.49: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><typ type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.50: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
/><kernel type=\"string\" value=\"2.6.18\"/><distro\
 type=\"string\" value=\"Debian GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.51: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid \"/></os><os\
/></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.52: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os></os></inventory><mac-address><number\
 type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# memory's children related tests
print('4.53: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory /><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.54: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory /><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.55: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size /><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.56: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><sizer type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.57: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"-212\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# hdd's children related tests
print('4.58: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.59: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"de2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.60: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd/><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.61: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><ddd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></ddd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.62: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd2><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd2></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.63: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.64: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 type=\"string\"/><size value=\"41\" type=\"int\"/><used\
 value=\"28\" type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.65: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><modelo\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.66: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk /><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('4.67: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"1\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"13363934\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

# test with null xmlInventory
print('4.68: ' + proxy.setInventory(''))

# test with invalid xml
print('4.69: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect>'))

# test with no parameters
print('4.70: ' + proxy.setInventory())

# test with a string not formatted propertly
print('4.71: ' + proxy.setInventory('ul'))
print('==========')

# test getUpdateLink
print('5 - getUpdateLink method')
print('5.1: ' + proxy.getUpdateLink())
#print('5.2: ' + proxy.getUpdateLink('3aa'))
#print('5.3: ' + proxy.getUpdateLink(1212))
print('==========')

# test integer fields
print('6 - setInventory method')
print('6.01: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"13363491\"/></network></use><inep><number\
 type=\"int\" value=\"12345678\"/></inep></collect>'))

print('6.02: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"32131\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.03: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.04: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"325\" type=\"int\"/><used value=\"82\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"00\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.05: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"ada42424ada\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.06: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.07: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"aa520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.08: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"5a20966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.09: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.10: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"aa41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.11: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"-41\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.12: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"41aaa\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.13: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.14: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"101\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.15: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"101\" type=\"int\"/><used value=\"28\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"-41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.16: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"101\" type=\"int\"/><used value=\"101\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.17: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"101\" type=\"int\"/><used value=\"100\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.18: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"44\" type=\"int\"/><used value=\"\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))

print('6.19: ' + proxy.setInventory('<?xml version=\"1.0\"\
 encoding=\"UTF-8\"?><collect><inventory><disk\
 type=\"tree\"><hdd quantity=\"2\"><hdd0><model\
 value=\"Maxtor_6E040L0_E16EP1VN\" type=\"string\"/><size\
 value=\"44\" type=\"int\"/><used value=\"56\"\
 type=\"int\"/></hdd0><hdd1><model\
 value=\"Maxtor_6E040L0_E13ME0PN\" type=\"string\"/><size\
 value=\"41\" type=\"int\"/><used value=\"23\"\
 type=\"int\"/></hdd1></hdd></disk><processor><model\
 type=\"string\" value=\"AMD Athlon(TM) XP\
 1800+\"/></processor><memory><size type=\"int\"\
 value=\"520966144\"/></memory><os><type type=\"string\"\
 value=\"Linux\"/><kernel type=\"string\"\
 value=\"2.6.18\"/><distro type=\"string\" value=\"Debian\
 GNU/Linux squeeze/sid\
 \"/></os></inventory><mac-address><number type=\"string\"\
 value=\"00:11:22:ba:ba:ca\"/></mac-address><use><network><RX\
 type=\"int\" value=\"\"/><TX type=\"int\"\
 value=\"\"/></network></use><inep><number type=\"int\"\
 value=\"12345678\"/></inep></collect>'))
