package controllers;

import play.*;
import play.mvc.*;
import play.libs.Json;

import org.codehaus.jackson.JsonNode;
import play.mvc.BodyParser;

import models.*;

public class Combo extends Controller {

    @BodyParser.Of(BodyParser.Json.class)
    public static Result projects() {
        String options = "[ " +
            "{ \"value\": \"proinfo\", \"content\": \"Máquina PROINFO\" }," +
            "{ \"value\": \"uca_classmate\", \"content\": \"UCA Classmate\" }," +
            "{ \"value\": \"uca_server\", \"content\": \"UCA Server\" }," +
            "{ \"value\": \"projector\", \"content\": \"Projetor PROINFO\" }" +
        " ]";
        return ok(Json.toJson(options)).as("application/json");
    }

    @BodyParser.Of(BodyParser.Json.class)
    public static Result reports() {
        JsonNode json = request().body().asJson();
        String options;

        String project = json.findPath("project").getTextValue();

        if (project == null)
            return badRequest("Missing project");

        if (project.equals("proinfo"))
            return ok("[ " +
                    "{ \"value\": \"availability\", \"content\": \"Disponibilidade\" }," +
                    "{ \"value\": \"inventory\", \"content\": \"Inventário\" }," +
                    "{ \"value\": \"audit\", \"content\": \"Parque computacional instalado\" }," +
                    "{ \"value\": \"alert\", \"content\": \"Alteração de inventário\" }" +
                " ]").as("application/json");
        else if (project.equals("projector"))
            return ok("[ " +
                    "{ \"value\": \"availability\", \"content\": \"Disponibilidade\" }," +
                    "{ \"value\": \"inventory\", \"content\": \"Inventário\" }" +
                " ]").as("application/json");
        else
            return ok("[ ]").as("application/json");
    }

    @BodyParser.Of(BodyParser.Json.class)
    public static Result regions() throws java.sql.SQLException {
        ComboOptions options = ComboOptions.getRegions();
        return ok(options.toJson()).as("application/json");
    }

    @BodyParser.Of(BodyParser.Json.class)
    public static Result states() throws java.sql.SQLException {
        JsonNode json = request().body().asJson();
        String region = json.findPath("region").getTextValue();

        ComboOptions options = ComboOptions.getStates(region);
        return ok(options.toJson()).as("application/json");
    }

    @BodyParser.Of(BodyParser.Json.class)
    public static Result cities() throws java.sql.SQLException {
        JsonNode json = request().body().asJson();
        String state = json.findPath("state").getTextValue();

        ComboOptions options = ComboOptions.getCities(state);
        return ok(options.toJson()).as("application/json");
    }

}
