package controllers;

import java.io.*;
import java.util.ArrayList;

import java.awt.*;

import play.*;
import play.mvc.*;
import play.data.*;

import models.*;

public class Install extends Controller {

    private static String MAKE_PACKAGE_BIN_L = "/home/proinfodata/conf/make-package.sh";
    private static String MAKE_PACKAGE_BIN_W = "/home/proinfodata/conf/build-windows-installer.sh";
    private static String MAKE_OUTPUT_DIR = "/tmp/";

    public static Result index() {
        return ok(views.html.install.index.render(null,null,false,null,null,null,null,true));
    }

    public static Result makePackage() {
        DynamicForm requestData = DynamicForm.form().bindFromRequest();
        String inep = requestData.get("inep");

        String useProxyStr = requestData.get("useProxy");
        boolean useProxy = false;
        if (useProxyStr.equals("true")) useProxy = true;

        String proxyHost = requestData.get("proxyHost");
        String proxyPort = requestData.get("proxyPort");
        String proxyUser = requestData.get("proxyUser");
        String proxyPass = requestData.get("proxyPass");

        String osStr = requestData.get("os");
        boolean osLinux = false;
        if (osStr.equals("true")) osLinux = true;

        if (!osLinux) {
            return ok(views.html.install.index.render(
                "O pacote de instalação para Windows está temporariamente indisponível.",
                inep, useProxy,
                proxyHost, proxyPort, proxyUser, proxyPass,
                osLinux));
        }

        if ((inep == null) || (inep.length() < 6) || (inep.length() > 12)) {
            return ok(views.html.install.index.render(
                "INEP inválido!", inep, useProxy,
                proxyHost, proxyPort, proxyUser, proxyPass,
                osLinux));
        }

        School school = null;

        try {
            school = School.getByInep(inep);
        }
        catch (java.sql.SQLException e) {
            e.printStackTrace();
            return internalServerError();
        }

        if (school == null) {
            return ok(views.html.install.index.render(
                "INEP não encontrado na base de dados!", inep, useProxy,
                proxyHost, proxyPort, proxyUser, proxyPass,
                osLinux));
        }

        // build the package
        String command = "";
        if (osLinux)
            command = "sh " + MAKE_PACKAGE_BIN_L + " " + inep;
        else
            command = "sh " + MAKE_PACKAGE_BIN_W + " " + inep;

        if (useProxy) {
            command += " " + proxyHost + " " + proxyPort + " " +
                proxyUser + " " + proxyPass;
        }

        StringBuffer sb = new StringBuffer();
        try {
            Process process = Runtime.getRuntime().exec(command);
            process.waitFor();

            BufferedReader reader = new BufferedReader(new InputStreamReader(
					process.getInputStream()));

			String line = reader.readLine();
            while (line != null) {
                sb.append(line+'\n');
				line = reader.readLine();
			}
        }
        catch (Exception e) {
            e.printStackTrace();
            return internalServerError();
        }

        String filename = "";
        if (osLinux)
            filename = "agent_"+inep+".run";
        else
            filename = "ProInfoData-"+inep+".exe";

        response().setHeader("Content-Disposition", "attachment; filename="+filename);
        return ok(new File(MAKE_OUTPUT_DIR+filename));
    }

}
