package lib.reports;

import java.io.*;
import java.util.*;

import play.*;
import play.cache.Cache;

import net.sf.jasperreports.engine.*;
import net.sf.jasperreports.engine.export.*;

public class JasperReport {
    private static String REPORTS_PATH = "/reports/";
    private static String IMAGES_PATH = "/reports/images/";

    private net.sf.jasperreports.engine.JasperReport report;
    private JasperPrint print;

    public JasperReport(String fileName, Map params) throws JRException {
        // TODO: cache compiled report
        this.report = JasperCompileManager.compileReport(Play.application().path() + REPORTS_PATH + fileName);

        params.put("imagesPath", Play.application().path() + IMAGES_PATH);
        this.print = JasperFillManager.fillReport(this.report, params, play.db.DB.getConnection());
    }

    public InputStream renderAs(String mimeType) throws JRException {
        ByteArrayOutputStream out = new ByteArrayOutputStream();
        JRExporter exporter;

        if (mimeType.equals("application/pdf"))
            exporter = new JRPdfExporter();
        else
            exporter = new JRHtmlExporter();

        exporter.setParameter(JRExporterParameter.OUTPUT_STREAM, out);
        exporter.setParameter(JRExporterParameter.JASPER_PRINT, this.print);
        exporter.exportReport();

        return new ByteArrayInputStream(out.toByteArray());
    }
}
