package models;

import java.util.ArrayList;
import java.sql.*;

import play.db.*;
import play.libs.Json;
import play.cache.Cache;

import org.codehaus.jackson.node.*;

public class Machine implements java.io.Serializable {
    private static final long serialVersionUID = 62835179036483170L;

    public String macaddr;
    public java.sql.Date lastContact;
    public Long daysSinceLastContact;

    public static ArrayList<Machine> getMachinesBySchoolId(Long id) throws SQLException {
        Connection conn = DB.getConnection();

        ArrayList<Machine> machines = new ArrayList<Machine>();

        try {
            PreparedStatement st = conn.prepareStatement(
                    "SELECT macaddr, MAX(dat_id), current_date-MAX(dat_id) " +
                    "FROM fact_contact " +
                    "WHERE sch_id = ? " +
                    "GROUP BY macaddr " +
                    "ORDER BY macaddr;");
            st.setLong(1, id);

            ResultSet res = st.executeQuery();

            while (res.next()) {
                Machine mac = new Machine();
                mac.macaddr = res.getString(1);
                mac.lastContact = res.getDate(2);
                mac.daysSinceLastContact = res.getLong(3);
                machines.add(mac);
            }
        }
        finally {
            conn.close();
        }

        return machines;
    }

}
