package models;

import java.io.InputStream;
import java.util.ArrayList;
import java.sql.*;

import play.db.*;
import play.libs.Json;
import play.cache.Cache;

import org.codehaus.jackson.node.*;

public class SavedConfig implements java.io.Serializable {
    private static final long serialVersionUID = 19156549873156770L;

    public static boolean put(String inep, InputStream in, long length) {
        Connection conn = DB.getConnection("le_save_config");
        PreparedStatement st;

        try {
            st = conn.prepareStatement(
                    "DELETE FROM school_config WHERE inep=?");
            st.setString(1, inep);
            st.executeUpdate();

            st = conn.prepareStatement(
                    "INSERT INTO school_config (inep, config) VALUES (?,?);");
            st.setString(1, inep);
            st.setBinaryStream(2, in, (int) length);
            st.executeUpdate();

            st.close();
            conn.close();

            return true;
        }
        catch (SQLException e) {
            e.printStackTrace();
            return false;
        }
    }

    public static InputStream get(String inep) {
        Connection conn = DB.getConnection("le_save_config");
        PreparedStatement st;
        InputStream in = null;

        try {
            st = conn.prepareStatement(
                    "SELECT config FROM school_config WHERE inep=?;");
            st.setString(1, inep);

            ResultSet res = st.executeQuery();

            if (res.next())
                in = res.getBinaryStream(1);

            st.close();
            conn.close();
        }
        catch (SQLException e) {
            e.printStackTrace();
        }

        return in;
    }

    public static boolean exists(String inep) {
        Connection conn = DB.getConnection("le_save_config");
        PreparedStatement st;
        boolean ret = false;

        try {
            st = conn.prepareStatement(
                    "SELECT 1 FROM school_config WHERE inep=?;");
            st.setString(1, inep);

            ResultSet res = st.executeQuery();

            if (res.next())
                ret = true;
        }
        catch (SQLException e) {
            e.printStackTrace();
        }

        return ret;
    }
}
