var ComboLoader = {
    change: function() {
        var $this = $(this),
            next = $('#' + $this.data('next')),
            loader = $('#loader-' + $this.data('next')),
            route = ComboLoader.getRoute(next.attr('id'));

        if (typeof $this.data('next') === 'undefined')
            return;

        // reset all subsequent combos
        if (next.is("select")) next.html('<option></option>');
        next.attr("disabled", "disabled");
        var n = next.data('next');
        var max = 5;
        while (typeof n !== 'undefined') {
            var $n = $('#'+n);

            if ($n.is("select")) $n.html('<option></option>');
            $n.attr("disabled", "disabled");
            n = $n.data('next');

            if (max-- <= 0) break;
        }

        if (this.value) {
            if (next.is("select")) {
                // fetch data for the next combo
                loader.css("display", "inline-block");

                values = {};
                $('select').each(function() {
                    if (this.value !== '') {
                        values[this.id] = this.value;
                    }
                });

                route.ajax({
                    contentType: "application/json",
                    data: JSON.stringify(values),
                    success: function(data) {
                        $.each(data, function(index, value) {
                            next.append('<option value="'+this.value+'">'
                                +this.content+'</option>');
                        });
                        next.removeAttr("disabled");
                    },
                    error: function(err) {
                        console.log(err);
                    }
                });

                loader.css("display", "none");
            }
            else {
                next.removeAttr("disabled");
            }
        }
    },

    getRoute: function(id) {
        var ajax;

        if (id === "project") {
            ajax = jsRoutes.controllers.Combo.projects();
        }
        else if (id === "report") {
            ajax = jsRoutes.controllers.Combo.reports();
        }
        else if (id === "region") {
            ajax = jsRoutes.controllers.Combo.regions();
        }
        else if (id === "state") {
            ajax = jsRoutes.controllers.Combo.states();
        }
        else if (id === "city") {
            ajax = jsRoutes.controllers.Combo.cities();
        }

        return ajax;
    },
};

(function($) {
    $('select').change(ComboLoader.change);
})( jQuery );
