$.fn.loadContent = function() {
    this.each(function() {
        var $this = $(this),
            id = $this.attr('id');

        if ($this.data('contentLoaded') === true) {
            return;
        }

        if (id === "avail") {
            $this.data('contentLoaded', true);
        }
        else if (id === "inventory") {
            $this.data('contentLoaded', true);
        }
        else if (id === "network") {
            Highcharts.setOptions({
                lang: {
                    loading: 'Carregando...',
                    months: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
                    weekdays: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
                    shortMonths: ['Jan', 'Feb', 'Mar', 'Abr', 'Maio', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
                    exportButtonTitle: "Exportar",
                    printButtonTitle: "Imprimir",
                    rangeSelectorFrom: "De",
                    rangeSelectorTo: "Até",
                    rangeSelectorZoom: "Período",
                    downloadPNG: 'Download imagem PNG',
                    downloadJPEG: 'Download imagem JPEG',
                    downloadPDF: 'Download documento PDF',
                    downloadSVG: 'Download imagem SVG',
                    thousandsSep: ".",
                    decimalPoint: ','
                    // resetZoom: "Reset",
                    // resetZoomTitle: "Reset,
                    }
                }
            );

            jsRoutes.controllers.Data.netUsage(School.id).ajax({
                success: function(data) {
                    if (data.download.length == 0) {
                        $('#network-chart').html('<br/><br/><div class="alert alert-info text-center span8 offset2">' +
                                'Não há dados a serem visualizados.</div>');
                        return;
                    }

                    var max=0;
                    for (var i=0; i < data.download.length; i++) {
                        if (data.download[i][1] > max) {
                            max = data.download[i][1];
                        }
                    }

                    School.networkChart = new Highcharts.StockChart({
                        chart: {
                            renderTo: 'network-chart',
                            height: 550,
                        },
                        rangeSelector : {
                            selected : 1,
                            inputDateFormat: '%d/%m/%Y',
                            buttonTheme: {
                                width: 75,
                            },
                            buttons: [{
                                type: 'day',
                                count: 1,
                                text: 'Diário'
                            }, {
                                type: 'week',
                                count: 1,
                                text: 'Semanal'
                            }, {
                                type: 'month',
                                count: 1,
                                text: 'Mensal'
                            }, {
                                type: 'month',
                                count: 6,
                                text: 'Semestral'
                            }, {
                                type: 'year',
                                count: 1,
                                text: 'Anual'
                            }]
                        },
                        plotOptions: {
                            line: {
                                gapSize: 1,
                                connectNulls: false,
                            }
                        },
                        xAxis: {
                            type: 'datetime',
                            ordinal: false,
                            dateTimeLabelFormats: {
                                second: '%d/%m/%Y<br/>%H:%M:%S',
                                minute: '%d/%m/%Y<br/>%H:%M',
                                hour: '%d/%m/%Y<br/>%H:%M',
                                day: '%d/%m/%Y',
                                week: '%d/%m/%Y',
                                month: '%Y<br/>%b',
                                year: '%Y'
                            },
                            tickPixelInterval: 200
                        },
                        yAxis: {
                            gridLineDashStyle: 'dash',
                            gridLineColor: '#ddd',
                            alternateGridColor: '#f3faff',
                            minRange: 1024,
                            min: 0,
                            allowDecimals: false,
                            labels: {
                                formatter: function() {
                                    return formatKBits(this.value);
                                }
                            }
                        },
                        navigator: {
                            height: 60,
                            xAxis: {
                                dateTimeLabelFormats: {
                                    second: '%d/%m/%Y',
                                    minute: '%d/%m/%Y',
                                    hour: '%d/%m/%Y',
                                    day: '%d/%m/%Y',
                                    week: '%d/%m/%Y',
                                    month: '%m/%Y',
                                    year: '%Y'
                                }
                            }
                        },
                        credits: {
                            enabled: false
                        },
                        legend: {
                            enabled: true
                        },
                        tooltip: {
                            shared: true,
                            pointFormat: '<span style="color:{series.color}">{series.name}</span>: <b>{point.y} Kbps</b><br/>'
                        }, 
                        series : [{
                            name : 'Download',
                            data : data.download,
                            pointInterval: 5 * 1000,
                            dataGrouping: {
                                enabled: false
                            },
                        }, {
                            name : 'Upload',
                            data : data.upload,
                            pointInterval: 5 * 1000,
                            dataGrouping: {
                                enabled: false
                            },
                        }]
                    });

                    setTimeout(function(){
                        $('input.highcharts-range-selector', $('#network-chart')).datepicker();
                    }, 1);

                    $.datepicker.setDefaults({
                        dateFormat: 'yy-mm-dd',
                        onSelect: function(dateText) {
                            this.onchange();
                            this.onblur();
                        },
                        beforeShow: function(input, inst) {
                            var calendar = inst.dpDiv;

                            setTimeout(function() {
                                calendar.position({
                                    my: 'right top',
                                    at: 'right bottom',
                                    collision: 'none',
                                    of: input
                                });
                            }, 1);
                        }
                    });
                },
                error: function(err) {
                    $('#network-chart').html('<br/><br/><div class="alert alert-error alert-block text-center span8 offset2"><h4>Oops!</h4>' +
                            'Ocorreu um erro no carregamento dos dados!</div>');
                }
            });

            $this.data('contentLoaded', true);
        }
    });
};
